#include <bits/stdc++.h>
using namespace std;

int main(int argc, char **argv){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);

    int n, m;
    cin >> n >> m;
    vector<pair<int, int>> v(n);
    for(int i = 0; i < n; i++) {
    	int d, u;
    	cin >> d >> u;

    	v[i] = {d, u};
    }

    for(int i = 0; i < m; i++){
    	int l, r, x;
    	int ans = 0;
    	cin >> l >> r >> x;
    	l--;
    	r--;
    	for(int j = l; j <= r; j++) {
    		if(x >= v[j].first && x <= v[j].second) {
    			ans++;
    		}
    	}
    	cout << ans << endl;
    }
    
    return 0;
}